# Accounts - **OpenAPI Version:** `3.1.1` - **API Version:** `2` The Zoom Account APIs allow developers to programatically access data related to accounts, dashboards, information barriers, and roles. ## Servers - **URL:** `https://api.zoom.us/v2` ## Operations ### List sub accounts - **Method:** `GET` - **Path:** `/accounts` - **Tags:** Accounts List all subaccounts created by a master account. Zoom allows only [approved partners](https://developers.zoom.us/docs/api/rest/master-account-apis/) to use master APIs and manage subaccounts. Email the partner programs team at **** for more details. **Prerequisites:** - Pro or a higher paid account with master account option enabled. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:list_sub_accounts:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM` #### Responses ##### Status: 200 Account list returned. ###### Content-Type: application/json **All of:** - **`next_page_token`** `string` — Use the next page token to paginate through large result sets. A next page token is returned whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes. - **`page_count`** `integer` — The number of pages returned for the request made. - **`page_number`** `integer`, default: `1` — \*\*Deprecated\*\* We will no longer support this field in a future release. Instead, use the \`next\_page\_token\` for pagination. - **`page_size`** `integer`, default: `30` — The number of records returned with a single API call. - **`total_records`** `integer` — The total number of all the records available across pages. * **`accounts`** `array` — List of account objects. **Items:** - **`account_name`** `string` — Account name. - **`account_number`** `number` — The account's account number. - **`account_type`** `string` — Account type. - **`bulk_license`** `boolean` — Indicates whether or not the account has bulk license. - **`created_at`** `string`, format: `date-time` — Account creation date and time. - **`id`** `string` — Account ID. - **`owner_email`** `string` — Account owner email. - **`reseller`** `boolean` — Indicates whether or not the account is a sub-reseller. - **`seats`** `integer` — Account seats. - **`subscription_end_time`** `string`, format: `date-time` — Account subscription end date and time. - **`subscription_start_time`** `string`, format: `date-time` — Account subscription start date and time. **Example:** ```json { "next_page_token": "w7587w4eiyfsudgf", "page_count": 1, "page_size": 30, "total_records": 20, "accounts": [ { "account_name": "jchill", "account_number": 10010370036, "account_type": "Free", "created_at": "2022-03-24T17:46:53Z", "id": "q6gBJVO5TzexKYTb_I2rpg", "owner_email": "john.doe@zoom.us", "seats": 0, "subscription_end_time": "2022-03-24T17:46:53Z", "subscription_start_time": "2022-03-24T17:46:53Z", "reseller": true, "bulk_license": true } ] } ``` ##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Create a sub account - **Method:** `POST` - **Path:** `/accounts` - **Tags:** Accounts Create a subaccount under a master account. The new subaccount will receive a confirmation email. Zoom only allows only approved partners to use [master account APIs](https://marketplace.zoom.us/docs/api-reference/master-account-apis) and manage subaccounts. For more information, contact the [Zoom Partners team](https://partner.zoom.us/) at . **Prerequisites:** - A Pro or a higher paid account with master account option enabled. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:write:sub_account:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT` #### Request Body ##### Content-Type: application/json - **`email` (required)** `string` — The user's email address. - **`first_name` (required)** `string` — The user's first name. - **`last_name` (required)** `string` — The user's last name. - **`password` (required)** `string` — The subaccount's password. \*\*Note:\*\* If the account owner or admin has enabled \[enhanced password requirements]\(https\://support.zoom.us/hc/en-us/articles/360034675592-Advanced-security-settings#h\_fa9186e4-6818-4f7a-915c-2e25c19f0acd), the value provided in this field must meet those requirements. You can get these requirements via the \[\*\*Get account settings\*\*]\(/docs/api-reference/zoom-api/ma#operation/accountSettings) API. Reference the \`password\_requirement\` object in the \`security\` object of the API response. - **`account_name`** `string` — The subaccount's name. If you do not pass this value, the account name will be a concatenation of the \`first\_name\` and \`last\_name\` parameters. - **`options`** `object` — Information about the account's options. - **`billing_auto_renew`** `boolean` — Whether to enable automatic billing renewal. - **`meeting_connector_list`** `array` — A comma-separated list of Meeting Connector IP addresses shared with the subaccount. If you do not provide a value for this field, all the master account's Meeting Connectors will be shared with the subaccount. \*\*Note:\*\* You can only use this field if \`share\_mc\` value is \`true\`. **Items:** `string` - **`pay_mode`** `string`, possible values: `"master", "sub"`, default: `"master"` — The account's payee. \* \`master\` - The master account holder pays. \* \`sub\` - The subaccount holder pays. This value defaults to \`master\`. - **`resource_meeting_connector_list`** `array` — A comma-separated list of Meeting Connector resource name shared with the subaccount. If you do not provide a value for this field, all of the master account's meeting connector will be shared with the subaccount. **Items:** `string` - **`resource_meeting_hybrid_list`** `array` — A comma-separated list of Meeting Hybrid zone name shared with the subaccount. If you do not provide a value for this field, all the master account's Meeting Connectors will be shared with the subaccount. . **Items:** `string` - **`resource_share_mc`** `boolean`, default: `false` — Whether to enable the option for a subaccount to use the master account's shared resource Meeting Connectors.Meeting Connectors are only available for On-Premise accounts. This value defaults to \`false\`. - **`resource_share_mh`** `boolean`, default: `false` — Whether to enable the option for a subaccount to use the master account's shared resource Meeting Hybrid. Meeting Hybrid are only available for On-premise accounts. This value defaults to \`false\`. - **`room_connector_list`** `array` — A comma-separated list of VRC IP addresses shared with the subaccount. If you do not provide a value for this field, all of the master account's VRCs will be shared with the subaccount. \*\*Note:\*\* You can only use this field if \`share\_rc\` value is \`true\`. **Items:** `string` - **`share_mc`** `boolean`, default: `false` — Whether to enable the option for a subaccount to use the master account's shared \[Meeting Connectors]\(https\://support.zoom.us/hc/en-us/articles/201363093). Meeting Connectors are only available for On-Premise accounts. This value defaults to \`false\`. - **`share_rc`** `boolean`, default: `false` — Whether to enable the option for a subaccount to use the master account's shared \[Virtual Room Connectors (VRC)]\(https\://support.zoom.us/hc/en-us/articles/202134758-Deploying-the-Virtual-Room-Connector). VRCs are only available for On-premise accounts. This value defaults to \`false\`. - **`sub_reseller_id`** `string` — The sub-reseller's ID. To create a \[third-tier subaccount]\(https\://marketplace.zoom.us/docs/api-reference/master-account-apis/), pass the second-level master account's ID. If you do not provide this field, a new subaccount will be created for the account that calls the API. - **`transfer_code`** `string` — Account transfer code to transfer account to current parenter **Example:** ```json { "account_name": "jchill", "email": "jchill@example.com", "first_name": "Jill", "last_name": "Chill", "options": { "meeting_connector_list": [ "203.0.113.1" ], "resource_meeting_hybrid_list": [ "meeting_hybrid_resouceA" ], "resource_meeting_connector_list": [ "meeting_connector_resourceA" ], "resource_share_mc": false, "resource_share_mh": false, "pay_mode": "master", "room_connector_list": [ "[\"192.0.2.1\",\"198.51.100.1\"]" ], "share_mc": false, "share_rc": false }, "password": "if42!LfH@", "sub_reseller_id": "ABCDEF12345", "transfer_code": "AIr7emjkNxUD4O5Q73H-Jr8ZmVGHMOsSAOps9B6-bB4.AG.hCTluR6maAXj8CZ9Bs7xm1eDfqT5Lct4WczDkqIahVK7BdMfR8Ps7_JDRtfZr-6Hci7IOyDVCc_5xTkdVrdl50NNgfZcl4NflffxgoYNMQ34Sr_vKYGvJ3eNmnv2i-qp7c24c1b6lU3APJqtxwKkm8CKmc7iyu6WlcLLILSgAlDifo4SjBVfiSC-.z_WNrlV6aXoeWpc7pKJnfA.50Jl_yAYazRkzoVR" } ``` #### Responses ##### Status: 201 Account successfully created. ###### Content-Type: application/json - **`created_at`** `string`, format: `date-time` — The subaccount's creation date and time. - **`id`** `string` — The subaccount's ID. - **`owner_email`** `string`, format: `email` — The subaccount owner's email address. - **`owner_id`** `string` — The account owner's ID. **Example:** ```json { "created_at": "2021-07-21T17:32:28Z", "id": "NfIX2NPgQ-mLjHOybvftuv", "owner_email": "admin@example.com", "owner_id": "tsmith@example.com" } ``` ##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`300\` \
\* Your request could not be completed because the name contains an invalid word: {name} \* Your request was not accepted because "{field}" contains special character(s). \
\*\*Error Code:\*\* \`1107\` \
Email domain is blocked. \
\*\*Error Code:\*\* \`1111\` \
\* Password should not contain repeated characters such as "aaaaaa". \* Password should not contain consecutive characters such as "abc" or "123". \
\*\*Error Code:\*\* \`11101\` \
Account transfer disabled. Please remove the transfer token and try again. \
\*\*Error Code:\*\* \`11102\` \
Invalid account transfer token. \
\*\*Error Code:\*\* \`11103\` \
User email does not exist. \
\*\*Error Code:\*\* \`11104\` \
Account transfer email and request body email do not match. Please try again. \
\*\*Error Code:\*\* \`11105\` \
Account transfer token expired. \
\*\*Error Code:\*\* \`11106\` \
Account transfer token and master Zoom account number do not match. \
\*\*Error Code:\*\* \`11107\` \
Account transfer token already used. \
\*\*Error Code:\*\* \`11108\` \
Account transfer is only available for free users. \
\*\*Error Code:\*\* \`11109\` \
Account transfer is still processing in the backend. Please try again later. \
\*\*Error Code:\*\* \`11110\` \
Account already exists. \
\*\*Error Code:\*\* \`11111\` \
Account transfer does not support subaccounts. \
\*\*Error Code:\*\* \`11112\` \
Account transfer only supports free accounts. \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`1005\` \
Email "$email" has already been used. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Get sub account details - **Method:** `GET` - **Path:** `/accounts/{accountId}` - **Tags:** Accounts Retrieve information about a master account's sub account. Zoom only allows approved partners to use [master account APIs](https://developers.zoom.us/docs/api/rest/master-account-apis/) and create sub accounts. For information about partner programs, email the partners team at . - To get a master account's details, use the account:read:sub\_account:admin scope. Enter me as the value of the accountId path parameter. - To get a subaccount's details, use use the account:read:sub\_account:master scope. Enter the subaccount's actual account ID as the value of the accountId path parameter. **Prerequisites** - A Pro or a higher paid account with the Master account option enabled. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:sub_account:master`,`account:read:sub_account:admin` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT` #### Responses ##### Status: 200 \*\*HTTP Status Code\*\*: \`200\` Account object returned. ###### Content-Type: application/json - **`account_name`** `string` — The account's name. - **`account_number`** `integer` — The account's account number. - **`account_type`** `string`, possible values: `"Free", "Pro", "Enterprise", "API Partner", "Education", "Business", "Free Trial", "Bulk License", "Zoom Rooms", "Zoom Video SDK", "Zoom Phone"` — The account type. \* \`Free\` \* \`Pro\` \* \`Enterprise\` \* \`API Partner\` \* \`Education\` \* \`Business\` \* \`Free Trial\` \* \`Bulk License\` \* \`Zoom Rooms\` \* \`Zoom Video SDK\` \* \`Zoom Phone\` - **`created_at`** `string`, format: `date-time` — The account's creation date and time. - **`id`** `string` — The account ID. - **`options`** `object` — Information about the account's options. - **`billing_auto_renew`** `boolean` — Whether to enable automatic billing renewal. - **`meeting_connector_list`** `array` — A comma-separated list of Meeting Connector IP addresses shared with the sub account. If you do not provide a value for this field, all of the master account's meeting connectors will be shared with the sub account. \*\*Note:\*\* You can only use this field if \`share\_mc\` value is \`true\`. **Items:** `string` - **`pay_mode`** `string`, possible values: `"master", "sub"`, default: `"master"` — The account's payee. \* \`master\` - The Master account holder pays. \* \`sub\` - The sub account holder pays. This value defaults to \`master\`. - **`resource_meeting_connector_list`** `array` — A comma-separated list of Meeting Connector resourece name shared with the subaccount. If you do not provide a value for this field, all of the master account's meeting connector will be shared with the subaccount. **Items:** `string` - **`resource_meeting_hybrid_list`** `array` — A comma-separated list of Meeting Hybrid zone name shared with the subaccount. If you do not provide a value for this field, all the master account's Meeting Connectors will be shared with the subaccount. . **Items:** `string` - **`resource_share_mc`** `boolean`, default: `false` — Whether to enable the option for a sub account to use the master account's shared resource Meeting Connectors. Meeting Connectors are only available for On-Premise accounts. This value defaults to \`false\`. - **`resource_share_mh`** `boolean`, default: `false` — Whether to enable the option for a sub account to use the master account's shared resource Meeting Hybrid. Meeting Hybrid are only available for On-premise accounts. This value defaults to \`false\`. - **`room_connector_list`** `array` — A comma-separated list of VRC IP addresses shared with the sub account. If you do not provide a value for this field, all of the master account's VRCs will be shared with the sub account. \*\*Note:\*\* You can only use this field if \`share\_rc\` value is \`true\`. **Items:** `string` - **`share_mc`** `boolean`, default: `false` — Whether to enable the option for a sub account to use the master account's shared \[Meeting Connectors]\(https\://support.zoom.us/hc/en-us/articles/201363093). Meeting Connectors are only available for On-Premise accounts. This value defaults to \`false\`. - **`share_rc`** `boolean`, default: `false` — Whether to enable the option for a sub account to use the master account's shared \[Virtual Room Connectors (VRC)]\(https\://support.zoom.us/hc/en-us/articles/202134758-Deploying-the-Virtual-Room-Connector). VRCs are only available for On-premise accounts. This value defaults to \`false\`. - **`owner_email`** `string`, format: `email` — The account owner's email address. - **`owner_id`** `string` — The account owner ID. - **`reseller`** `boolean` — The account is reseller or not. - **`seats`** `integer` — The account's maximum number of paid seats. - **`subscription_end_time`** `string`, format: `date-time` — The account's subscription end date and time. This field only returns if there is a subscription end date and time. - **`subscription_start_time`** `string`, format: `date-time` — The account's subscription start date and time. If there is no subscription start date and time, this returns an empty string value. - **`vanity_url`** `string`, format: `url` — The account's \[vanity URL]\(https\://support.zoom.us/hc/en-us/articles/201363233-Customizing-branding-for-your-vanity-URL). **Example:** ```json { "account_name": "Account1", "account_number": 123456789, "account_type": "Pro", "created_at": "2021-07-21T17:32:28Z", "id": "ABCDEF123456", "options": { "billing_auto_renew": false, "meeting_connector_list": [ "203.0.113.1" ], "pay_mode": "master", "room_connector_list": [ "[\"192.0.2.1\",\"198.51.100.1\"]" ], "share_mc": false, "share_rc": false, "resource_meeting_hybrid_list": [ "meeting_hybrid_resouceA" ], "resource_meeting_connector_list": [ "meeting_connector_resourceA" ], "resource_share_mc": false, "resource_share_mh": false }, "owner_email": "jchill@example.com", "owner_id": "654321FEDCBA", "seats": 1, "subscription_end_time": "2022-07-21T17:32:28Z", "subscription_start_time": "2021-07-21T17:32:28Z", "vanity_url": "https://vanity.example.com", "reseller": false } ``` ##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`2001\` \
Account does not exist: $subAccountId \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Disassociate a sub account - **Method:** `DELETE` - **Path:** `/accounts/{accountId}` - **Tags:** Accounts Disassociate a sub account from its master account. This leaves the sub account intact, but it will no longer be associated with the master account. **Prerequisites** - Pro or a higher paid account with master account option enabled. - The account making this API request must be a [master account](https://developers.zoom.us/docs/api/rest/master-account-apis/). **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master`,`account:write:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:delete:sub_account:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT` #### Responses ##### Status: 204 \*\*HTTP Status Code\*\*: \`204\` Account deleted. ##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`2000\` \
You cannot disassociate a paid account. \
\
\*\*Error Code:\*\* \`2001\` \
Account does not exist: $subAccountId. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Get locked settings - **Method:** `GET` - **Path:** `/accounts/{accountId}/lock_settings` - **Tags:** Accounts Retrieves an account's locked settings. Account admins and account owners can use [Account Locked Settings](https://support.zoom.us/hc/en-us/articles/115005269866) to toggle settings on or off for all users in their account. **Note:** You can use Account Locked Settings with accounts that have master and sub accounts enabled. **Prerequisites:** - Pro or a higher paid account. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:admin`,`account:write:admin` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:lock_settings:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM` #### Responses ##### Status: 200 \*\*Error Code:\*\* \`200\` Only available for paid account:$accountId. \*\*HTTP Status Code:\*\* \`200\` Locked settings for the Account returned. ###### Content-Type: application/json **One of:** - **`audio_conferencing`** `object` — Account Audio Conference Settings - **`call_me_and_invite_by_phone`** `boolean` — Whether the account has the \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VFZMDP4EJAF772N7NG2KY) setting enabled. - **`participant_phone_masking`** `boolean` — Whether the account has the \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5GT9P563K751K3JNAYE6E) setting enabled. - **`personal_audio_conference`** `boolean` — Whether the account has the \[\*\*Personal Audio Conference\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0060449#h\_01F5BPMEB7GK6XXPKHDBHYFF27) setting enabled. - **`toll_call`** `boolean` — Whether the account has the \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`toll_free_and_fee_based_toll_call`** `boolean` — Whether the account has the \[\*\*Toll-free and Fee-based Toll Call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`chat`** `object` - **`ai_compose`** `boolean` — Compose with AI Companion. - **`ai_quick_schedule`** `boolean` — Quick schedule with AI Companion. - **`ai_recommend`** `boolean` — Chat Recommendation with Zoom AI Companion. - **`ai_reply`** `boolean` — Quick reply with AI Companion. - **`ai_sentence_completion`** `boolean` — Sentence completion with AI Companion. - **`ai_summary`** `boolean` — Summarize with AI Companion. - **`allow_create_channels_and_group_chats`** `boolean` — Whether to allow users to create channels and group chats. - **`allow_delete_message`** `boolean` — Whether to allow users to delete messages. - **`allow_edit_message`** `boolean` — Whether to allow users to edit messages. - **`allow_huddles_from_channels`** `boolean` — Whether to allow huddles from channels. - **`allow_users_to_add_contacts`** `boolean` — Whether to allow users to add contacts. - **`allow_users_to_chat_with_others`** `boolean` — Whether to Allow users to chat with others. - **`chat_email_address`** `boolean` — Chat email address. - **`chat_emojis`** `boolean` — Allow users to use the emoji library in direct messages or group conversations. Choose between allowing users to use any emoji in the library, or using only pre-selected emojis. If the setting is disabled, users can still use keyboard shortcuts to add emojis. Users can change their emoji skin tone in Settings. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`download_file`** `boolean` — Whether to allow users to downloading files. - **`presence_away_when_screen_saver`** `boolean` — Change my status to away when screen saver begins. - **`presence_on_meeting`** `boolean` — Change my presence status when I am in a meeting or call. - **`read_receipts`** `boolean` — Whether to enable read receipts. - **`record_video_messages`** `boolean` — Allow users to record video messages that can be sent in direct messages or group conversations. If the file share setting is disabled, they will not be able to record and send video messages. - **`record_voice_messages`** `boolean` — Allow users to record voice messages that can be sent in direct messages or group conversations. - **`schedule_meetings_in_chat`** `boolean` — Schedule a meeting from chat or channel. - **`screen_capture`** `boolean` — Allow users to take and send screenshots in direct messages or group conversations. - **`search_and_send_animated_gif_images`** `boolean` — Whether to allow users to search GIF images from GIPHY when they compose messages. - **`send_data_to_third_party_archiving_service`** `boolean` — Whether to send data to third-party archiving service. - **`set_retention_period_in_cloud`** `boolean` — By default, messages and files are stored in Zoom's cloud. Enable this setting to specify when they are deleted. When retention is disabled, messages sent by offline users can be received within 7 days before they are deleted. - **`set_retention_period_in_local`** `boolean` — Specify how long your messages are saved on local devices. If this setting is disabled, messages are never deleted locally. - **`share_files`** `boolean` — Users can share files in chats and channels. - **`share_links_in_chat`** `boolean` — Share links to messages and channels in Team Chat. - **`share_screen_in_chat`** `boolean` — Whether to allow users to share screen in chat. - **`shared_spaces`** `boolean` — Whether to allow users to create Shared Spaces. - **`survey_poll`** `boolean` — Allow users to launch a poll in chats and channels. - **`translate_messages`** `boolean` — Allow users to translate team chat messages. \[Learn more].(https\://support.zoom.us/hc/en-us/articles/12998089084685) - **`email_notification`** `object` - **`alternative_host_reminder`** `boolean` — Notify the alternative host who is set or removed. - **`cancel_meeting_reminder`** `boolean` — Notify host and participants when the meeting is cancelled. - **`cloud_recording_available_reminder`** `boolean` — Whether to notify the host when a cloud recording is available. - **`jbh_reminder`** `boolean` — Notify host when participants join the meeting before them. - **`schedule_for_reminder`** `boolean` — Notify the host there is a meeting is scheduled, rescheduled, or cancelled. - **`in_meeting`** `object` - **`alert_guest_join`** `boolean` — Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting or webinar. - **`allow_live_streaming`** `boolean` — Whether to allow livestreaming. - **`allow_show_zoom_windows`** `boolean` — Show Zoom windows during screen share. - **`allow_users_to_delete_messages_in_meeting_chat`** `boolean` — If the value of this field is set to \`true\`, allow users to delete messages in the in-meeting chat. - **`annotation`** `boolean` — Allow participants to use annotation tools to add information to shared screens. - **`anonymous_question_answer`** `boolean` - **`attendee_on_hold`** `boolean`, default: `false` — Allow host to put attendee on hold. \*\*This field has been deprecated and is no longer supported.\*\* - **`attention_mode_focus_mode`** `boolean`, default: `false` — Whether to enable the \[\*\*Focus Mode\*\*]\(https\://support.zoom.us/hc/en-us/articles/360061113751-Using-focus-mode) feature. When enabled, this feature only displays the host and co-hosts' video and profile pictures during a meeting. This value defaults to \`false\`. - **`auto_answer`** `boolean` — Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. - **`auto_generated_captions`** `boolean` — Whether to enable Zoom's \[live transcription feature]\(https\://support.zoom.us/hc/en-us/articles/207279736-Managing-closed-captioning-and-live-transcription#h\_01FHGGHYJ4457H4GSZY0KM3NSB). - **`auto_saving_chat`** `boolean` — Automatically save all in-meeting chats. - **`breakout_room`** `boolean` — Allow host to split meeting participants into separate, smaller rooms. - **`chat`** `boolean` — Allow meeting participants to send chat message visible to all participants. - **`closed_caption`** `boolean` — Allow host to type closed captions or assign a participant/third party device to add closed captions. - **`co_host`** `boolean` — Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. - **`custom_data_center_regions`** `boolean` — Displays whether or not custom \[data center regions]\(https\://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) have been selected for meetings/webinars hosted by the account. - **`disable_screen_sharing_for_host_meetings`** `boolean` — Whether to enable the \*\*Disable desktop screen sharing for meetings you host\*\* setting. - **`disable_screen_sharing_for_in_meeting_guests`** `boolean` — Whether to enable the \*\*Disable screen sharing when guests are in the meeting\*\* setting. - **`dscp_marking`** `boolean` — Enable DSCP marking for signaling and media packets. (Default is 56 for audio, 40 for video, and 40 for signaling.) - **`e2e_encryption`** `boolean` — Require that all meetings are encrypted using AES. - **`entry_exit_chime`** `string` — Play sound when participants join or leave. - **`far_end_camera_control`** `boolean` — Allow another user to take control of the camera during a meeting. - **`feedback`** `boolean` — Enable users to provide feedback to Zoom at the end of the meeting. - **`file_transfer`** `boolean` — Indicates whether \[in-meeting file transfer]\(https\://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for all users on the account or not. - **`full_transcript`** `boolean` — Whether full transcripts are available for viewing in the in-meeting side panel. - **`group_hd`** `boolean` — Enable higher quality video for host and participants in Meeting. This will require more bandwidth. - **`language_interpretation`** `boolean` — Whether hosts can assign participants as interpreters to interpret one language into another in real-time. - **`manual_captions`** `boolean` — Whether to enable manual closed captioning. When \[enabled]\(https\://support.zoom.us/hc/en-us/articles/207279736-Managing-closed-captioning-and-live-transcription), the host or assigned participant can provide manual captioning or a \[3rd-party device]\(https\://support.zoom.us/hc/en-us/articles/115002212983) can be assigned to provide captioning. - **`meeting_question_answer`** `boolean` — Allow participants to ask questions for the host and participants to answer. - **`meeting_reactions`** `boolean` — Whether meeting participants can \[communicate using the emoji reactions]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions) located in the \*\*Reactions\*\* menu in the meeting toolbar. - **`meeting_survey`** `boolean` — Whether the host can present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher. - **`non_verbal_feedback`** `boolean`, default: `false` — Whether to enable the \[\*\*Non-verbal feedback\*\*]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions-) setting. This value defaults to \`false\`. - **`original_audio`** `boolean` — Allow users to select original sound during a meeting. - **`polling`** `boolean` — Add 'Polls' to the meeting controls. This allows the host to survey the attendees. - **`post_meeting_feedback`** `boolean` — Display end-of-meeting experience feedback survey. - **`private_chat`** `boolean` — Allow meeting participants to send a private 1:1 message to another participant. - **`remote_control`** `boolean` — During screen sharing, allow the person who is sharing to let others control the shared content. - **`remote_support`** `boolean`, default: `false` — Whether to enable the \[\*\*Remote support\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060951012-Enabling-remote-support) setting. This value defaults to \`false\`. - **`request_permission_to_unmute_participants`** `boolean` — Whether to enable the \[\*\*Request permission to unmute participants\*\*]\(https\://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting) setting. - **`save_caption`** `boolean` — Whether participants can save closed captions or transcripts. - **`save_captions`** `boolean` — Whether participants can \[save closed caption or transcripts]\(https\://support.zoom.us/hc/en-us/articles/360060958752). \*\*Note:\*\* If the \`full\_transcript\` field is set to \`false\`, participants \*\*cannot\*\* save captions. - **`screen_sharing`** `boolean` — Allow host and participants to share their screen or content during meetings. - **`sending_default_email_invites`** `boolean` — Allow users to invite participants by email only by default. - **`show_meeting_control_toolbar`** `boolean` — Always show meeting controls during a meeting. - **`sign_language_interpretation`** `boolean` — Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later. - **`slide_control`** `boolean` — Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher. - **`stereo_audio`** `boolean` — Allow users to select stereo audio during a meeting. - **`use_html_format_email`** `boolean` — Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin. - **`virtual_background`** `boolean` — Enable virtual background. - **`webinar_chat`** `boolean` — Whether to allow webinar participants to send chat messages. - **`webinar_group_hd`** `boolean` — Enable higher quality video for host and participants in Webinar. This will require more bandwidth. - **`webinar_live_streaming`** `boolean` — Whether to enable webinar livestreaming. - **`webinar_polling`** `boolean` — Whether the host can add polls before or during a webinar. - **`webinar_question_answer`** `boolean` — Whether attendees can ask the host and panelists questions in the webinar. - **`webinar_reactions`** `boolean` — Set this field to true to use \[webinar reactions]\(https\://support.zoom.us/hc/en-us/articles/4803536268429). - **`webinar_survey`** `boolean` — Whether the host can present surveys to attendees once a webinar has ended. - **`whiteboard`** `boolean` — Allow participants to share a whiteboard that includes annotation tools. - **`other_options`** `object` - **`blur_snapshot`** `boolean` — If true, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps. - **`webinar_registration_options`** `boolean` — Webinar registration options. - **`recording`** `object` - **`account_user_access_recording`** `boolean` — Make cloud recordings accessible to account members only. - **`archive`** `boolean` — \[Archiving solution]\(https\://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team. - **`auto_delete_cmr`** `boolean` — Allow Zoom to automatically delete recordings permanently after a specified number of days. - **`auto_recording`** `boolean` — Record meetings automatically as they start. - **`cloud_recording`** `boolean` — Allow hosts to record and save the meeting / webinar in the cloud. - **`cloud_recording_download`** `boolean` — Allow anyone with a link to the cloud recording to download. - **`host_delete_cloud_recording`** `boolean` — Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them. - **`ip_address_access_control`** `boolean` — Setting to allow cloud recording access only from specific IP address ranges. - **`local_recording`** `boolean` — Allow hosts and participants to record the meeting to a local file. - **`prevent_host_access_recording`** `boolean` — If set to \`true\`, meeting hosts cannot view their meeting cloud recordings. Only the admins who have recording management privilege can access them. - **`recording_authentication`** `boolean` — Only authenticated users can view cloud recordings - **`schedule_meeting`** `object` - **`always_display_zoom_webinar_as_topic`** `boolean` — Whether to enable the \[\*\*Always show \"Zoom Webinar\" as the webinar topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`audio_type`** `boolean` — Determine how participants can join the audio portion of the meeting. - **`continuous_meeting_chat`** `boolean` — Whether to enable the \[\*\*Enable continuous meeting chat\*\*] setting. - **`embed_password_in_join_link`** `boolean` — If the value is set to \`true\`, the meeting passcode will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the passcode. - **`enforce_login`** `boolean` — Allow only signed-in users to join meetings. - **`enforce_login_domains`** `string` — Specify the domains from which users can join a meeting. - **`enforce_login_with_domains`** `boolean` — Allow only signed-in users with specified domains to join meetings. - **`host_video`** `boolean` — Start meetings with host video on. - **`join_before_host`** `boolean` — Allow participants to join the meeting before the host arrives - **`meeting_authentication`** `boolean` — Only authenticated users can join meetings - **`not_store_meeting_topic`** `boolean` — Whether to enable the \[\*\*Always display \"Zoom Meeting\" as the meeting topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`participant_video`** `boolean` — Start meetings with participant video on. - **`require_password_for_instant_meetings`** `boolean` — Require passcode for instant meetings. If you use a PMI for your instant meetings, this option will be disabled. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_pmi_meetings`** `boolean` — Require participants to enter passcode for PMI meetings. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_scheduling_new_meetings`** `boolean` — This setting applies for regular meetings that do not use a PMI. If enabled, a passcode will be generated while a host schedules a new meeting and participants will be required to enter the passcode before they can join the meeting. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`use_pmi_for_instant_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when starting an instant meeting. - **`use_pmi_for_scheduled_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when scheduling a meeting. - **`telephony`** `object` — Account Settings: Telephony. - **`telephony_regions`** `boolean` — Indicates where most of the participants call into or call from during a meeting. - **`third_party_audio`** `boolean` — Allow users to join the meeting using the existing 3rd party audio configuration. - **`tsp`** `object` — Account Settings: TSP. - **`call_out`** `boolean` — Call Out - **`display_toll_free_numbers`** `boolean` — Display toll-free numbers - **`show_international_numbers_link`** `boolean` — Show international numbers link on the invitation email * **`meeting_security`** `object` - **`approved_or_denied_countries_or_regions`** `boolean` — Whether to enable the \[\*\*Approve or block entry for users from specific countries/regions\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting. - **`auto_security`** `boolean` — Whether all meetings must be secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts. - **`block_user_domain`** `boolean` — Whether users in specific domains are blocked from joining meetings and webinars. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`embed_password_in_join_link`** `boolean` — Whether the meeting passcode is encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the passcode. - **`encryption_type`** `boolean` — Whether use encryption to start a meeting. - **`end_to_end_encrypted_meetings`** `boolean` — Whether to enable end-to-end encryption for meetings. - **`meeting_password`** `boolean` — Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are passcode-protected. \[Personal Meeting ID (PMI)]\(https\://support.zoom.us/hc/en-us/articles/203276937) meetings are \*\*not\*\* included in this setting. - **`only_authenticated_can_join_from_webclient`** `boolean` — Whether to specify that only authenticated users can join the meeting from the web client. - **`phone_password`** `boolean` — Whether passcodes are required for participants joining by phone. If enabled and the meeting is passcode-protected, a numeric passcode is required for participants to join by phone. For meetings with alphanumeric passcodes, a numeric passcode will be generated. - **`pmi_password`** `boolean` — Whether all Personal Meeting ID (PMI) meetings that users can join via client or Zoom Rooms systems are passcode-protected. - **`waiting_room`** `boolean` — Whether participants are placed in the \[\*\*Waiting Room\*\*]\(https\://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the \*\*Waiting Room\*\* feature is enabled, the \[\*\*Allow participants to join before host\*\*]\(https\://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled. - **`webinar_password`** `boolean` — Whether to generate a passcode when scheduling webinars. Participants must use the generated passcode to join the scheduled webinar. **Example:** ```json { "audio_conferencing": { "toll_free_and_fee_based_toll_call": true, "toll_call": true, "call_me_and_invite_by_phone": true, "personal_audio_conference": true, "participant_phone_masking": true }, "chat": { "share_files": true, "chat_emojis": true, "record_voice_messages": true, "record_video_messages": true, "screen_capture": true, "share_links_in_chat": true, "schedule_meetings_in_chat": true, "set_retention_period_in_cloud": true, "set_retention_period_in_local": true, "allow_users_to_add_contacts": true, "allow_users_to_chat_with_others": true, "chat_etiquette_tool": true, "send_data_to_third_party_archiving_service": true, "translate_messages": true, "search_and_send_animated_gif_images": true, "shared_spaces": true, "allow_create_channels_and_group_chats": true, "allow_huddles_from_channels": true, "download_file": true, "share_screen_in_chat": true, "chat_email_address": true, "read_receipts": true, "allow_delete_message": true, "allow_edit_message": true, "presence_on_meeting": true, "presence_away_when_screen_saver": true, "ai_summary": true, "ai_compose": true, "ai_recommend": true, "ai_reply": true, "ai_sentence_completion": true, "ai_quick_schedule": true, "survey_poll": true }, "email_notification": { "alternative_host_reminder": true, "cancel_meeting_reminder": true, "cloud_recording_available_reminder": true, "jbh_reminder": true, "schedule_for_reminder": true }, "in_meeting": { "alert_guest_join": true, "allow_users_to_delete_messages_in_meeting_chat": true, "allow_live_streaming": true, "allow_show_zoom_windows": true, "annotation": true, "anonymous_question_answer": true, "attention_mode_focus_mode": true, "auto_answer": true, "auto_generated_captions": true, "auto_saving_chat": true, "breakout_room": true, "chat": true, "meeting_question_answer": true, "closed_caption": true, "co_host": true, "custom_data_center_regions": true, "disable_screen_sharing_for_host_meetings": true, "disable_screen_sharing_for_in_meeting_guests": true, "dscp_marking": true, "e2e_encryption": true, "entry_exit_chime": "none", "far_end_camera_control": true, "feedback": true, "file_transfer": true, "full_transcript": true, "group_hd": true, "webinar_group_hd": true, "language_interpretation": true, "sign_language_interpretation": true, "manual_captions": true, "meeting_reactions": true, "webinar_reactions": true, "meeting_survey": true, "original_audio": true, "polling": true, "post_meeting_feedback": true, "private_chat": true, "remote_control": true, "non_verbal_feedback": true, "remote_support": true, "request_permission_to_unmute_participants": true, "save_caption": true, "save_captions": true, "screen_sharing": true, "sending_default_email_invites": true, "show_meeting_control_toolbar": true, "slide_control": true, "stereo_audio": true, "use_html_format_email": true, "virtual_background": true, "webinar_chat": true, "webinar_live_streaming": true, "webinar_polling": true, "webinar_question_answer": true, "webinar_survey": true, "whiteboard": true }, "other_options": { "blur_snapshot": true, "webinar_registration_options": true }, "recording": { "account_user_access_recording": true, "auto_delete_cmr": true, "auto_recording": true, "cloud_recording": true, "cloud_recording_download": true, "host_delete_cloud_recording": true, "ip_address_access_control": true, "local_recording": true, "prevent_host_access_recording": true, "recording_authentication": true, "archive": true }, "schedule_meeting": { "audio_type": true, "embed_password_in_join_link": true, "enforce_login": true, "enforce_login_domains": "example.com", "enforce_login_with_domains": true, "host_video": true, "join_before_host": true, "meeting_authentication": true, "not_store_meeting_topic": true, "always_display_zoom_webinar_as_topic": false, "participant_video": true, "require_password_for_instant_meetings": true, "require_password_for_pmi_meetings": true, "require_password_for_scheduling_new_meetings": true, "use_pmi_for_instant_meetings": true, "use_pmi_for_scheduled_meetings": true, "continuous_meeting_chat": true }, "telephony": { "telephony_regions": true, "third_party_audio": true }, "tsp": { "call_out": true, "show_international_numbers_link": true, "display_toll_free_numbers": true } } ``` ##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`2001\` \
Account does not exist: $subAccountId. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Update locked settings - **Method:** `PATCH` - **Path:** `/accounts/{accountId}/lock_settings` - **Tags:** Accounts Updates an account's locked settings. [Account Locked Settings](https://support.zoom.us/hc/en-us/articles/115005269866) allows account admins and account owners to toggle settings on or off for all users in your account. **Note:** Yout must have a Pro or a higher plan and enabled master and sub accounts options. **Prerequisites:** - Pro or a higher paid account. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:write:admin` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:update:lock_settings:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM` #### Request Body ##### Content-Type: application/json **One of:** - **`audio_conferencing`** `object` - **`call_me_and_invite_by_phone`** `boolean` — Whether the account has the \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VFZMDP4EJAF772N7NG2KY) setting enabled. - **`participant_phone_masking`** `boolean` — Whether the account has the \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5GT9P563K751K3JNAYE6E) setting enabled. - **`personal_audio_conference`** `boolean` — Whether the account has the \[\*\*Personal Audio Conference\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0060449#h\_01F5BPMEB7GK6XXPKHDBHYFF27) setting enabled. - **`toll_call`** `boolean` — Whether the account has the \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`toll_free_and_fee_based_toll_call`** `boolean` — Whether the account has the \[\*\*toll-free and fee-based toll call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`chat`** `object` - **`ai_compose`** `boolean` — Compose with AI Companion. - **`ai_quick_schedule`** `boolean` — Quick schedule with AI Companion. - **`ai_recommend`** `boolean` — Chat Recommendation with Zoom AI Companion. - **`ai_reply`** `boolean` — Quick reply with AI Companion. - **`ai_sentence_completion`** `boolean` — Sentence completion with AI Companion. - **`ai_summary`** `boolean` — Summarize with AI Companion. - **`allow_create_channels_and_group_chats`** `boolean` — Whether to allow users to create channels and group chats. - **`allow_delete_message`** `boolean` — Whether to allow users to delete messages. - **`allow_edit_message`** `boolean` — Whether to allow users to edit messages. - **`allow_huddles_from_channels`** `boolean` — Whether to allow huddles from channels. - **`allow_users_to_add_contacts`** `boolean` — Whether to allow users to add contacts. - **`allow_users_to_chat_with_others`** `boolean` — Whether to allow users to chat with others. - **`chat_email_address`** `boolean` — Chat email address. - **`chat_emojis`** `boolean` — Allow users to use the emoji library in direct messages or group conversations. Choose between allowing users to use any emoji in the library, or allowing only pre-selected emojis. If the setting is disabled, users can still use keyboard shortcuts to add emojis. Users can change their emoji skin tone in \*\*Settings\*\*. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`download_file`** `boolean` — Whether to allow users to download files. - **`presence_away_when_screen_saver`** `boolean` — Change my status to away when screen saver begins. - **`presence_on_meeting`** `boolean` — Change my presence status when I am in a meeting or call. - **`read_receipts`** `boolean` — Whether to enable read receipts. - **`record_video_messages`** `boolean` — Allow users to record video messages that can be sent in direct messages or group conversations. If the file share setting is disabled, they will not be able to record and send video messages. - **`record_voice_messages`** `boolean` — Allow users to record voice messages that can be sent in direct messages or group conversations. - **`schedule_meetings_in_chat`** `boolean` — Schedule a meeting from chat or channel. - **`screen_capture`** `boolean` — Allow users to take and send screenshots in direct messages or group conversations. - **`search_and_send_animated_gif_images`** `boolean` — Whether to allow users to search GIF images from GIPHY when they compose messages. - **`send_data_to_third_party_archiving_service`** `boolean` — Whether to send data to third-party archiving service. - **`set_retention_period_in_cloud`** `boolean` — By default, messages and files are stored in Zoom's cloud. Enable this setting to specify when they are deleted. When retention is disabled, messages sent by offline users can be received within 7 days before they are deleted. - **`set_retention_period_in_local`** `boolean` — Specify how long your messages are saved on local devices. If this setting is disabled, messages are never deleted locally. - **`share_files`** `boolean` — Users can share files in chats and channels. - **`share_links_in_chat`** `boolean` — Share links to messages and channels in Team Chat. - **`share_screen_in_chat`** `boolean` — Whether to allow users to share screen in chat. - **`shared_spaces`** `boolean` — Whether to allow users to create Shared Spaces. - **`survey_poll`** `boolean` — Allow users to launch a poll in chats and channels. - **`translate_messages`** `boolean` — Allow users to translate team chat messages. \[Learn more].(https\://support.zoom.us/hc/en-us/articles/12998089084685) - **`email_notification`** `object` - **`alternative_host_reminder`** `boolean` — Notify the alternative host who is set or removed. - **`cancel_meeting_reminder`** `boolean` — Notify host and participants when the meeting is cancelled. - **`cloud_recording_available_reminder`** `boolean` — Whether to notify the host when a cloud recording is available. - **`jbh_reminder`** `boolean` — Notify host when participants join the meeting before them. - **`schedule_for_reminder`** `boolean` — Notify the host there is a meeting is scheduled, rescheduled, or cancelled. - **`in_meeting`** `object` - **`alert_guest_join`** `boolean` — Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting or webinar. - **`allow_live_streaming`** `boolean` — Whether to allow livestreaming. - **`allow_show_zoom_windows`** `boolean` — Show Zoom windows during screen share. - **`allow_users_to_delete_messages_in_meeting_chat`** `boolean` — If the value of this field is set to \`true\`, allow users to delete messages in the in-meeting chat. - **`annotation`** `boolean` — Allow participants to use annotation tools to add information to shared screens. - **`anonymous_question_answer`** `boolean` - **`attendee_on_hold`** `boolean`, default: `false` — Allow host to put attendee on hold. \*\*This field has been deprecated and is no longer supported.\*\* - **`attention_mode_focus_mode`** `boolean` — Whether to enable the \[\*\*Focus Mode\*\*]\(https\://support.zoom.us/hc/en-us/articles/360061113751-Using-focus-mode) feature. When enabled, this feature only displays the host and co-hosts' video and profile pictures during a meeting. - **`auto_answer`** `boolean` — Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered. - **`auto_generated_captions`** `boolean` — Whether to enable Zoom's \[live transcription feature]\(https\://support.zoom.us/hc/en-us/articles/207279736-Managing-closed-captioning-and-live-transcription#h\_01FHGGHYJ4457H4GSZY0KM3NSB). - **`auto_saving_chat`** `boolean` — Automatically save all in-meeting chats. - **`breakout_room`** `boolean` — Allow host to split meeting participants into separate, smaller rooms. - **`chat`** `boolean` — Allow meeting participants to send chat message visible to all participants. - **`closed_caption`** `boolean` — Allow host to type closed captions or assign a participant/third party device to add closed captions. - **`co_host`** `boolean` — Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host. - **`custom_data_center_regions`** `boolean` — If set to \`true\`, account owners and admins on paid accounts can \[select data center regions]\(https\://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) to use for hosting their real-time meeting and webinar traffic. These regions can be provided in the \`data\_center\_regions\` field in the account settings. If set to \`false\`, the regions cannot be customized and the default regions will be used. - **`disable_screen_sharing_for_host_meetings`** `boolean` — Whether to enable the \*\*Disable desktop screen sharing for meetings you host\*\* setting. - **`disable_screen_sharing_for_in_meeting_guests`** `boolean` — Whether to enable the \*\*Disable screen sharing when guests are in the meeting\*\* setting. - **`dscp_marking`** `boolean` — Allow users to select stereo audio during a meeting. - **`e2e_encryption`** `boolean` — Require that all meetings are encrypted using AES. - **`entry_exit_chime`** `string` — Play sound when participants join or leave. - **`far_end_camera_control`** `boolean` — Allow another user to take control of the camera during a meeting. - **`feedback`** `boolean` — Enable users to provide feedback to Zoom at the end of the meeting. - **`file_transfer`** `boolean` — Indicates whether \[in-meeting file transfer]\(https\://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for all users on the account or not. - **`full_transcript`** `boolean` — Whether to enable the viewing of full transcripts in the in-meeting side panel. - **`group_hd`** `boolean` — Enable higher quality video for host and participants in Meeting. This will require more bandwidth. - **`language_interpretation`** `boolean` — Whether to allow hosts to assign participants as interpreters who can interpret one language into another in real-time. - **`meeting_question_answer`** `boolean` — Allow participants to ask questions for the host and participants to answer. - **`meeting_survey`** `boolean` — Whether to allow the host to present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher. - **`non_verbal_feedback`** `boolean`, default: `false` — Whether to enable the \[\*\*Non-verbal feedback\*\*]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions-) setting. This value defaults to \`false\`. - **`original_audio`** `boolean` — Allow users to select original sound during a meeting. - **`polling`** `boolean` — Add 'Polls' to the meeting controls. This allows the host to survey the attendees. - **`post_meeting_feedback`** `boolean` — Display end-of-meeting experience feedback survey. - **`private_chat`** `boolean` — Allow meeting participants to send a private 1:1 message to another participant. - **`remote_control`** `boolean` — During screen sharing, allow the person who is sharing to let others control the shared content. - **`remote_support`** `boolean`, default: `false` — Whether to enable the \[\*\*Remote support\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060951012-Enabling-remote-support) setting. This value defaults to \`false\`. - **`request_permission_to_unmute_participants`** `boolean` — Whether to enable the \[\*\*Request permission to unmute participants\*\*]\(https\://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting) setting. - **`save_caption`** `boolean` — Whether to allow participants to save closed captions or transcripts. - **`save_captions`** `boolean` — Whether to allow participants to \[save closed captions or transcripts]\(https\://support.zoom.us/hc/en-us/articles/360060958752). \*\*Note:\*\* If the \`full\_transcript\` field is set to \`false\`, participants \*\*cannot\*\* save captions. - **`screen_sharing`** `boolean` — Allow host and participants to share their screen or content during meetings. - **`sending_default_email_invites`** `boolean` — Allow users to invite participants by email only by default. - **`show_meeting_control_toolbar`** `boolean` — Always show meeting controls during a meeting. - **`sign_language_interpretation`** `boolean` — Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later. - **`slide_control`** `boolean` — Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher. - **`stereo_audio`** `boolean` — Allow users to select stereo audio during a meeting. - **`use_html_format_email`** `boolean` — Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin. - **`virtual_background`** `boolean` — Enable virtual background. - **`webinar_chat`** `boolean` — Whether to allow webinar participants to send chat messages. - **`webinar_group_hd`** `boolean` — Enable higher quality video for host and participants in Webinar. This will require more bandwidth. - **`webinar_live_streaming`** `boolean` — Whether to enable webinar livestreaming. - **`webinar_polling`** `boolean` — Whether to allow the host to add polls before or during a webinar. - **`webinar_question_answer`** `boolean` — Whether attendees can ask the host and panelists questions in the webinar. - **`webinar_reactions`** `boolean` — Set this field to true to use \[webinar reactions]\(https\://support.zoom.us/hc/en-us/articles/4803536268429). - **`webinar_survey`** `boolean` — Whether to allow the host to present surveys to attendees once a webinar has ended. - **`whiteboard`** `boolean` — Allow participants to share a whiteboard that includes annotation tools. - **`other_options`** `object` - **`blur_snapshot`** `boolean` — If true, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps. - **`webinar_registration_options`** `boolean` — Webinar registration options. - **`recording`** `object` - **`account_user_access_recording`** `boolean` — Make cloud recordings accessible to account members only. - **`archive`** `boolean` — \[Archiving solution]\(https\://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team. - **`auto_delete_cmr`** `boolean` — Allow Zoom to automatically delete recordings permanently after a specified number of days. - **`auto_recording`** `boolean` — Record meetings automatically as they start. - **`cloud_recording`** `boolean` — Allow hosts to record and save the meeting / webinar in the cloud. - **`cloud_recording_download`** `boolean` — Allow anyone with a link to the cloud recording to download. - **`host_delete_cloud_recording`** `boolean` — Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them. - **`ip_address_access_control`** `boolean` — Setting to allow cloud recording access only from specific IP address ranges. - **`local_recording`** `boolean` — Allow hosts and participants to record the meeting to a local file. - **`prevent_host_access_recording`** `boolean` — If set to \`true\`, meeting hosts cannot view their meeting cloud recordings. Only the admins who have recording management privilege can access them. - **`recording_authentication`** `boolean` - **`schedule_meeting`** `object` - **`always_display_zoom_webinar_as_topic`** `boolean` — Whether to enable the \[\*\*Always show \"Zoom Webinar\" as the webinar topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`audio_type`** `boolean` — Determine how participants can join the audio portion of the meeting. - **`continuous_meeting_chat`** `boolean` — Whether to enable the \[\*\*Enable continuous meeting chat\*\*] setting. - **`embed_password_in_join_link`** `boolean` — If the value is set to \`true\`, the meeting passcode will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the passcode. - **`enforce_login`** `boolean` — Participants must always sign in before joining the scheduled meeting. - **`enforce_login_domains`** `string` — Specify the domains from which users can join a meeting. - **`enforce_login_with_domains`** `boolean` — Allow only signed-in users with specified domains to join meetings. - **`host_video`** `boolean` — Start meetings with host video on. - **`join_before_host`** `boolean` — Allow participants to join the meeting before the host arrives - **`meeting_authentication`** `boolean` - **`not_store_meeting_topic`** `boolean` — Whether to enable the \[\*\*Always display \"Zoom Meeting\" as the meeting topic\*\*]\(https\://support.zoom.us/hc/en-us/articles/201363253-Changing-account-settings#h\_01EG9BJ646V2WJK1S3H2MP6YV6) setting. - **`participant_video`** `boolean` — Start meetings with participant video on. - **`personal_meeting`** `boolean` — Turn the lock setting on or off for the \*\*Enable Personal Meeting ID\*\* setting for an entire account. \`true\`: Turn the \*\*\"Enable Personal Meeting ID\"\*\* setting \*\*on\*\* for all users in the account. Users can choose to use personal meeting ID for their meetings. \`false\`: Turn \*\*off\*\* the \*\*\"Enable Personal Meeting ID\"\*\* setting. \*\*If this setting is \[disabled]\(https\://support.zoom.us/hc/en-us/articles/201362843-Personal-meeting-ID-PMI-and-personal-link?flash\_digest=eb7ac62d8c7fb4daf285916e3e15d87537806133#h\_aa0335c8-3b06-41bc-bc1f-a8b84ef17f2a), meetings that were scheduled with a PMI by the users in the account will be invalid. Users will have to update previously scheduled PMI meetings.\*\* For Zoom Phone only: If a user has been assigned a desk phone, \*\*\"Elevate to Zoom Meeting\"\*\* on desk phone will be disabled. - **`require_password_for_instant_meetings`** `boolean` — Require passcode for instant meetings. If you use a PMI for your instant meetings, this option will be disabled. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_pmi_meetings`** `boolean` — Require participants to enter passcode for PMI meetings. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`require_password_for_scheduling_new_meetings`** `boolean` — This setting applies for regular meetings that do not use a PMI. If enabled, a passcode will be generated while a host schedules a new meeting and participants will be required to enter the passcode before they can join the meeting. This setting is always enabled for free accounts and Pro accounts with a single host and cannot be modified for these accounts. - **`use_pmi_for_instant_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when starting an instant meeting. - **`use_pmi_for_scheduled_meetings`** `boolean` — Use a Personal Meeting ID (PMI) when scheduling a meeting. - **`telephony`** `object` - **`telephony_regions`** `boolean` - **`third_party_audio`** `boolean` — Allow users to join the meeting using the existing 3rd party audio configuration. - **`tsp`** `object` - **`call_out`** `boolean` — Call Out - **`show_international_numbers_link`** `boolean` — Show international numbers link on the invitation email * **`meeting_security`** `object` - **`approved_or_denied_countries_or_regions`** `boolean` — Whether to enable the \[\*\*Approve or block entry for users from specific countries/regions\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting. - **`auto_security`** `boolean` — Whether to require that all meetings are secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts. - **`block_user_domain`** `boolean` — Whether to block users in specific domains from joining meetings and webinars. - **`chat_etiquette_tool`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`embed_password_in_join_link`** `boolean` — Whether the meeting passcode will be encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the passcode. - **`encryption_type`** `string`, possible values: `"enhanced_encryption", "e2ee"` — The type of encryption to use when starting a meeting: \* \`enhanced\_encryption\` \— Use enhanced encryption. Encryption data is stored in the cloud. \* \`e2ee\` \— End-to-end encryption. The encryption key is stored on the local device and cannot be obtained by anyone else. Enabling E2EE also \[\*\*disables\*\* certain features]\(https\://support.zoom.us/hc/en-us/articles/360048660871), such as cloud recording, live streaming, and allowing participants to join before the host. - **`end_to_end_encrypted_meetings`** `boolean` — Whether to enable end-to-end encryption for meetings. If enabled, you can specify the type of encryption in the \`encryption\_type\` field. - **`meeting_password`** `boolean` — Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are passcode-protected. \[Personal Meeting ID (PMI)]\(https\://support.zoom.us/hc/en-us/articles/203276937) meetings are \*\*not\*\* included in this setting. - **`only_authenticated_can_join_from_webclient`** `boolean` — Whether to specify that only authenticated users can join the meeting from the web client. - **`phone_password`** `boolean` — Whether to require a passcode for participants joining by phone. If enabled and the meeting is passcode-protected, a numeric passcode is required for participants to join by phone. For meetings with alphanumeric passcodes, a numeric passcode will be generated. - **`pmi_password`** `boolean` — Whether all Personal Meeting ID (PMI) meetings that users can join via client or Zoom Rooms systems are passcode-protected. - **`waiting_room`** `boolean` — Whether participants are placed in the \[\*\*Waiting Room\*\*]\(https\://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the \*\*Waiting Room\*\* feature is enabled, the \[\*\*Allow participants to join before host\*\*]\(https\://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled. - **`webinar_password`** `boolean` — Whether to generate a passcode when scheduling webinars. Participants must use the generated passcode to join the scheduled webinar. **Example:** ```json { "audio_conferencing": { "toll_free_and_fee_based_toll_call": true, "toll_call": true, "call_me_and_invite_by_phone": true, "personal_audio_conference": true, "participant_phone_masking": true }, "chat": { "share_files": true, "chat_emojis": true, "record_voice_messages": true, "record_video_messages": true, "screen_capture": true, "share_links_in_chat": true, "schedule_meetings_in_chat": true, "set_retention_period_in_cloud": true, "set_retention_period_in_local": true, "allow_users_to_add_contacts": true, "allow_users_to_chat_with_others": true, "chat_etiquette_tool": true, "send_data_to_third_party_archiving_service": true, "translate_messages": true, "search_and_send_animated_gif_images": true, "shared_spaces": true, "allow_create_channels_and_group_chats": true, "allow_huddles_from_channels": true, "download_file": true, "share_screen_in_chat": true, "chat_email_address": true, "read_receipts": true, "allow_delete_message": true, "allow_edit_message": true, "presence_on_meeting": true, "presence_away_when_screen_saver": true, "ai_summary": true, "ai_compose": true, "ai_recommend": true, "ai_reply": true, "ai_sentence_completion": true, "ai_quick_schedule": true, "survey_poll": true }, "email_notification": { "alternative_host_reminder": true, "cancel_meeting_reminder": true, "cloud_recording_available_reminder": true, "jbh_reminder": true, "schedule_for_reminder": true }, "in_meeting": { "alert_guest_join": true, "allow_users_to_delete_messages_in_meeting_chat": true, "allow_live_streaming": true, "allow_show_zoom_windows": true, "annotation": true, "anonymous_question_answer": true, "attention_mode_focus_mode": true, "auto_answer": true, "auto_generated_captions": true, "auto_saving_chat": true, "breakout_room": true, "chat": true, "meeting_question_answer": true, "closed_caption": true, "co_host": true, "custom_data_center_regions": true, "disable_screen_sharing_for_host_meetings": true, "disable_screen_sharing_for_in_meeting_guests": true, "dscp_marking": true, "e2e_encryption": true, "entry_exit_chime": "none", "far_end_camera_control": true, "feedback": true, "file_transfer": true, "full_transcript": true, "group_hd": true, "webinar_group_hd": true, "language_interpretation": true, "sign_language_interpretation": true, "webinar_reactions": true, "meeting_survey": true, "original_audio": true, "polling": true, "post_meeting_feedback": true, "private_chat": true, "remote_control": true, "non_verbal_feedback": true, "remote_support": true, "request_permission_to_unmute_participants": true, "save_caption": true, "save_captions": true, "screen_sharing": true, "sending_default_email_invites": true, "show_meeting_control_toolbar": true, "slide_control": true, "stereo_audio": true, "use_html_format_email": true, "virtual_background": true, "webinar_chat": true, "webinar_live_streaming": true, "webinar_polling": true, "webinar_question_answer": true, "webinar_survey": true, "whiteboard": true }, "other_options": { "blur_snapshot": true, "webinar_registration_options": true }, "recording": { "account_user_access_recording": true, "auto_delete_cmr": true, "auto_recording": true, "cloud_recording": true, "cloud_recording_download": true, "host_delete_cloud_recording": true, "ip_address_access_control": true, "local_recording": true, "prevent_host_access_recording": true, "recording_authentication": true, "archive": true }, "schedule_meeting": { "audio_type": true, "embed_password_in_join_link": true, "enforce_login": true, "enforce_login_domains": "example.com", "enforce_login_with_domains": true, "host_video": true, "join_before_host": true, "meeting_authentication": true, "not_store_meeting_topic": true, "always_display_zoom_webinar_as_topic": false, "participant_video": true, "personal_meeting": true, "require_password_for_instant_meetings": true, "require_password_for_pmi_meetings": true, "require_password_for_scheduling_new_meetings": true, "use_pmi_for_instant_meetings": true, "use_pmi_for_scheduled_meetings": true, "continuous_meeting_chat": true }, "telephony": { "telephony_regions": true, "third_party_audio": true }, "tsp": { "call_out": true, "show_international_numbers_link": true } } ``` #### Responses ##### Status: 200 \*\*Error Code:\*\* \`200\` Only available for Paid account: $accountId. ##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`2001\` \
TAccount does not exist: $subAccountId. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Get account's managed domains - **Method:** `GET` - **Path:** `/accounts/{accountId}/managed_domains` - **Tags:** Accounts Retrieve a list of an account's [managed domains](https://support.zoom.us/hc/en-us/articles/203395207). To get the master account's managed domains, pass the `me` value for the `accountId` path parameter. **Prerequisites:** - A Pro or a higher paid account with the Master account option enabled. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master`,`account:write:master`,`account:read:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:managed_domains:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT` #### Responses ##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Account's managed domains returned. \*\*Error Code:\*\* \`200\` Only available for Paid or ZMP account: {accountId}. ###### Content-Type: application/json - **`domains`** `array` — Information about the managed domains. **Items:** **All of:** - **`domain`** `string` — The domain's name. - **`status`** `string` — The domain's status. - **`total_records`** `integer` — The total number of records returned. **Example:** ```json { "domains": [ { "domain": "example.com", "status": "verified" } ], "total_records": 1 } ``` ##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`2001\` \
Account does not exist: $accountId \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Update the account owner - **Method:** `PUT` - **Path:** `/accounts/{accountId}/owner` - **Tags:** Accounts Changes an account's owner. An account's current owner can [change the account's owner](https://support.zoom.us/hc/en-us/articles/115005686983-Change-Account-Owner) to another user on the same account. **Prerequisites:** - An account owner or admin permissions of an account - The account making this API request must be on a Pro or a higher account plan with [Master account](https://developers.zoom.us/docs/api/rest/master-account-apis/) privileges **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:master` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:update:owner:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `HEAVY` #### Request Body ##### Content-Type: application/json - **`email` (required)** `string`, format: `email` — The email address of the account's new owner. **Example:** ```json { "email": "admin@example.com" } ``` #### Responses ##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` Account owner updated. ##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
User is not an admin or is an API user or doesn't belong to this account: {accountId}.\
Cannot make a user outside of your account an owner.\
Cannot update the role of an account owner. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`2001\` \
Account does not exist: $subAccountId.\
\
\*\*Error Code:\*\* \`3201\` \
Cannot find a billing account for this: $accountId.\
\
\*\*Error Code:\*\* \`3211\` \
Cannot find a billing contact for this: $accountId. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/). ### Get account settings - **Method:** `GET` - **Path:** `/accounts/{accountId}/settings` - **Tags:** Accounts Returns an account's settings. To get settings for a master account, use the `me` value for the `accountId` path parameter. **Prerequisites:** - The account must be a paid account. **[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:admin`,`account:write:admin` **[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `account:read:settings:master` **[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM` #### Responses ##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Account settings returned. \*\*Error Code:\*\* \`200\` Only available for paid accounts. ###### Content-Type: application/json **One of:** - **`audio_conferencing`** `object` — Account Audio Conference Settings - **`call_me_and_invite_by_phone`** `object` — The account's \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VFZMDP4EJAF772N7NG2KY) settings. - **`allow_webinar_attendees_call_me`** `boolean` — Whether webinar attendees can use Call Me to connect audio. This feature is only available in version 5.2.2 and higher. - **`call_out_countries`** `object` — The account's call out countries/regions settings. - **`allowed_countries`** `array` — The list of all available countries/regions that can be enabled for call out. **Items:** - **`code`** `string` — The \[code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. - **`name`** `string` — The name of the country or region. - **`selected_countries`** `array` — The list of countries/regions that users can call out to. **Items:** - **`code`** `string` — The \[code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. - **`name`** `string` — The name of the country or region. - **`enable`** `boolean` — Whether the account has the \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VFZMDP4EJAF772N7NG2KY) setting enabled. - **`require_press_1_for_call_me`** `string`, possible values: `"auto", "always", "never"` — Require Call Me users to press 1 before being connected to the meeting. \* \`auto\` - Automatically determine whether to require pressing 1 before connecting to the meeting. \* \`always\` - Always require Call Me users to press 1 before connecting to the meeting. \* \`never\` - Never require Call Me users to press 1 before connecting to the meeting. - **`global_dial_in_countries`** `object` — The account's \[\*\*Global Dial-in Countries/Regions\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0068094#h\_01F5KK9J31ZXNW10BRH86NHX4G) settings. - **`allowed_countries`** `array` — The list of all available countries/regions that can be selected for displaying dial-in numbers in the meeting invitation. **Items:** - **`code`** `string` — The \[code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. - **`name`** `string` — The name of the country or region. - **`include_toll_free`** `boolean` — Whether to include toll-free numbers in the email invitation for the selected countries/regions. - **`selected_countries`** `array` — The list of selected countries/regions whose dial-in numbers will be listed in the email invitation. **Items:** - **`code`** `string` — The \[code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries) of the country or region. - **`name`** `string` — The name of the country or region. - **`participant_phone_masking`** `object` — The account's \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5GT9P563K751K3JNAYE6E) settings. - **`enable`** `boolean` — Whether the account has the \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5GT9P563K751K3JNAYE6E) setting enabled. - **`masking_type`** `string`, possible values: `"mask_default", "mask_first_5", "mask_except_last_4"` — The type of phone number masking pattern to apply. \* \`mask\_default\` - Default masking pattern (Example: 888\*\*\*\*666). \* \`mask\_first\_5\` - Mask first five digits (Example: \*\*\*\*\*66666). \* \`mask\_except\_last\_4\` - Mask everything except last four digits (Example: \*\*\*\*\*6666). - **`personal_audio_conference`** `boolean` — Whether the account has the \[\*\*Personal Audio Conference\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0060449#h\_01F5BPMEB7GK6XXPKHDBHYFF27) setting enabled. - **`toll_call`** `object` — The account's \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51680NJ7YHZDXGJNSKDGM2P) settings. - **`enable`** `boolean` — Whether the account has the \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`numbers`** `array` — The account's \*\*Toll Call\*\* phone number information. **Items:** - **`code`** `string` — The phone number's \[E.164 country calling code]\(https\://en.wikipedia.org/wiki/List\_of\_country\_calling\_codes). - **`country_code`** `string` — The phone number's two letter \[country code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries). - **`country_name`** `string` — The country name. - **`display_number`** `string` — The phone number's display number. - **`number`** `string` — The phone number. - **`toll_free_and_fee_based_toll_call`** `object` — The account's \[\*\*Toll-free and Fee-based Toll Call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h\_01F51680NJ7YHZDXGJNSKDGM2P) settings. - **`allow_webinar_attendees_dial`** `boolean` — Whether webinar attendees can dial in through the account's \*\*Toll-free and Fee-based Toll Call\*\* phone numbers. This feature is only available with version 5.2.2 or later. - **`enable`** `boolean` — Whether the account has the \[\*\*Toll-free and Fee-based Toll Call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call#h\_01F51680NJ7YHZDXGJNSKDGM2P) setting enabled. - **`numbers`** `array` — The account's \*\*Toll-free and Fee-based Toll Call\*\* phone number information. **Items:** - **`code`** `string` — The phone number's \[E.164 country calling code]\(https\://en.wikipedia.org/wiki/List\_of\_country\_calling\_codes). - **`country_code`** `string` — The phone number's two letter \[country code]\(https\://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#countries). - **`country_name`** `string` — The country name. - **`display_number`** `string` — The phone number's display number. - **`number`** `string` — The phone number. - **`chat`** `object` — The account's chat settings. - **`ai_compose`** `object` — Allow users to summarize chats, channels, and shared documents. - **`enable`** `boolean` — Compose with AI Companion - **`shown_in_team_chat`** `boolean` — Show in Team Chat - **`ai_quick_reply`** `boolean` — Quick reply with AI Companion - **`ai_quick_schedule`** `boolean` — Quick schedule with AI Companion - **`ai_recommend`** `boolean` — Chat Recommendation with Zoom AI Companion - **`ai_sentence_completion`** `boolean` — Sentence completion with AI Companion - **`ai_summary`** `object` — Allow users to summarize chats, channels, and shared documents. - **`enable`** `boolean` — Summarize with AI Companion - **`shown_in_team_chat`** `boolean` — Show in Team Chat - **`allow_bots_chat`** `boolean` — Whether chatbots added to chats and channels can read and write messages. - **`allow_delete_message`** `object` — When this setting is enabled, users can delete their own messages in Team Chat. If the user is the channel owner or admin and this setting is disabled, the user will also not be able to remove messages of other members in that channel even if other settings allow this. Time frame is configurable even when account setting is OFF and unlocked. - **`enable`** `boolean` — Allow users to delete messages - **`time`** `integer`, possible values: `0, 5, 30, 60, 1440, 10080` — Within how many minitues of posting - **`allow_edit_message`** `object` — When this setting is enabled, users can edit their own messages in Team Chat. Time frame is configurable even when account setting is OFF and unlocked. - **`enable`** `boolean` — Allow users to edit messages - **`time`** `integer`, possible values: `0, 5, 30, 60, 1440, 10080` — Within how many minitues of posting - **`allow_huddles_from_channels`** `boolean` — Allow huddles from channels - **`allow_remove_msg_by_owner_and_admins`** `boolean` — Allow channel owner and admin(s) to remove messages of other members - **`allow_users_to_add_contacts`** `object` — Allow users to add contacts. - **`enable`** `boolean` — By disabling this setting, users will not be able to add contacts. - **`selected_option`** `integer`, possible values: `1, 2, 3, 4` — The type of allowing users to add contacts. \* 1 - Anyone (internal and external contacts). \* 2 - In the same organization. \* 3 - In the same organization and specified domains. \* 4 - In the same organization and specified users. - **`user_email_addresses`** `string` — The domains or emails (internal or external). \* When the \`selected\_option\` field value is \`3\`, the value is internal or external domains. Use a comma to separate multiple domains. Example: company.com. \* When the \`selected\_option\` field value is \`4\`, the value is internal or external email addresses. Use a comma to separate multiple emails. - **`allow_users_to_chat_with_others`** `object` — Allow users to chat with others. - **`enable`** `boolean` — If you select 'In the same organization', users may still be able to chat with external users if they are added to channels or group chats with external users. - **`selected_option`** `integer`, possible values: `1, 2, 3, 4` — The type of allowing users to add contacts. \* 1 - Anyone (internal and external contacts). \* 2 - In the same organization. \* 3 - In the same organization and specified domains. \* 4 - In the same organization and specified users. - **`user_email_addresses`** `string` — The domains or emails, internal or external. \* When the \`selected\_option\` field value is \`3\`, the value is internal or external domains. Separate multiple domains with a comma. Example: company.com. \* When the \`selected\_option\` field value is \`4\`, the value is internal or external email addresses. Use a comma to separate multiple emails. - **`apply_local_storage_to_personal_channel`** `object` — Store personal channel messages on local devices. - **`enable`** `boolean` — Specify how long your messages sent in your personal channel are saved on local devices. If this setting is disabled, messages are never deleted locally. - **`retention_period`** `string` — Delete data after retention period. 'y' - year, 'm' - month, 'd' - day. - **`chat_email_address`** `object` — Allow users to create email addresses for chats and channels. Email sent to a created address will also be posted in respective chat or channel. - **`enable`** `boolean` — Chat email address - **`only_allow_specific_domains`** `boolean` — Only allow emails from specified domains - **`specific_domains`** `array` — Specified domains. **Items:** `string` — Specified domains. - **`chat_emojis`** `object` — Chat emojis. - **`emojis_option`** `string`, possible values: `"all", "selected"` — All emojis / selected emojis - **`enable`** `boolean` — Allow users to use the emoji library in direct messages or group conversations. Choose between allowing users to use any emoji in the library, or choose to allow only pre-selected emojis. If the setting is disabled, users can still use keyboard shortcuts to add emojis. Users can change their emoji skin tone in Settings. - **`chat_etiquette_tool`** `object` — Information about the \*\*Chat Etiquette Tool\*\*. - **`enable`** `boolean` — Whether to enable the \*\*Chat Etiquette Tool\*\*. - **`policies`** `array` — Information about the defined \*\*Chat Etiquette Tool\*\* policies. **Items:** - **`description`** `string` — The policy's description. - **`id`** `string` — The policy ID. - **`is_locked`** `boolean` — Whether the policy is locked by an account-level user. When it is locked, users cannot update the policy. - **`keywords`** `array` — A list of defined rule keywords. **Items:** `string` - **`name`** `string` — The policy name. - **`regular_expression`** `string` — The regular expression to match to the content of chat messages. - **`status`** `string`, possible values: `"activated", "deactivated"` — The policy's current status. \* \`activated\` - Activated. \* \`deactivated\` - Deactivated. - **`trigger_action`** `integer`, possible values: `1, 2` — The policy's trigger action. \* \`1\` - Ask the user to confirm before they send the message. \* \`2\` - Block the user's message. - **`policy_max_count`** `integer` — The read-only maximum number of \*\*Chat Etiquette Tool\*\* policies. - **`code_snippet`** `boolean` — Send code snippet - **`create_group_chat`** `boolean` — Allow users to create group chats. - **`create_private_channels`** `boolean` — Allow users to create private channels. - **`create_public_channels`** `boolean` — Allow users to create public channels. - **`download_file`** `boolean` — Downloading files - **`external_collab_restrict`** `object` — Restrict external collaboration in group chats and channels for a select group - **`enable`** `boolean` — Restrict external collaboration in group chats and channels for a select group - **`external_chat`** `string`, possible values: `"allowed", "not_allowed"` — The type of restrict external collaboration in group chats and channels for a select group \* - Allowed user group \* - Not allowed user group - **`group_id`** `string` — The group Id - **`external_invite_approve`** `object` — Require admin approval for adding external users in group chats and channels - **`channel_id`** `string` — The channel Id - **`enable`** `boolean` — Require admin approval for adding external users in group chats and channels - **`external_account`** `boolean` — Allow this setting to be edited for specified accounts - **`selected_option`** `integer`, possible values: `1, 2` — The type of requiring admin approval for adding external users in group chats and channels\* 1 - Send requests directly to all approvers\* 2 - Send requests to a specific channel - **`external_join_approve`** `object` — Require admin approval for joining external group chats and channels - **`channel_id`** `string` — The channel Id - **`enable`** `boolean` — Require admin approval for joining external group chats and channels - **`external_account`** `boolean` — Allow this setting to be edited for specified accounts - **`selected_option`** `integer`, possible values: `1, 2` — The type of requiring admin approval for joining external group chats and channels \* 1 - Send requests directly to all approvers \* 2 - Send requests to a specific channel - **`external_member_join`** `object` — Allow members of your organization to join external group chats and channels - **`enable`** `boolean` — Allow members of your organization to join external group chats and channels - **`external_account`** `boolean` — Allow this setting to be edited for specified accounts - **`external_user_control`** `object` — Add external users into group chats and channels - **`enable`** `boolean` — Allow to add external users into group chats and channels - **`external_account`** `boolean` — Allow this setting to be edited for specified accounts - **`selected_option`** `integer`, possible values: `1, 2, 3` — The type of allowing external user control \* 1 - Everyone \* 2 - Only members in your organization, plus specified external accounts \* 3 - Only the account owner and admins - **`hyper_link`** `boolean` — Allow hyperlinks in Team Chat - **`personal_channel`** `boolean` — Enable Personal Chat - **`presence_away_when_screen_saver`** `boolean` — Change my status to away when screen saver begins - **`presence_on_meeting`** `boolean` — Change my presence status when I am in a meeting or call - **`read_receipts`** `object` — Indicate when messages have been seen by recipients, for chats and channels with less than 20 members. - **`allow_users_opt_out`** `boolean` — Allow users to opt out - **`enable`** `boolean` — Enable read receipts - **`record_video_messages`** `boolean` — Allow users to record video messages that can be sent in direct messages or group conversations. If the file share setting is disabled, they will not be able to record and send video messages. - **`record_voice_messages`** `boolean` — Allow users to record voice messages that can be sent in direct messages or group conversations. - **`schedule_meetings_in_chat`** `boolean` — Schedule a meeting from chat or channel. - **`screen_capture`** `boolean` — Allow users to take and send screenshots in direct messages or group conversations. - **`search_and_send_animated_gif_images`** `object` — Allow users to search GIF images from GIPHY when they compose messages. See GIPHY's website for more information about content ratings. - **`enable`** `boolean` — Whether to allow users to search GIF images from GIPHY when they compose messages. - **`giphy_content_rating`** `integer`, possible values: `1, 2, 3, 4` — Set the GIPHY content rating. This feature is only available for Zoom Client v5.11.0 or later. - **`send_data_to_third_party_archiving_service`** `object` — Send data to third-party archiving service. - **`authorized_channel_token`** `string` — Authorized channel token. It is used when the field \`type\` value is \`smarsh\`. - **`enable`** `boolean` — Allow users to send data to third-party archiving service. - **`passcode`** `string` — passcode. It is used when the field \`type\` value is \`global\_relay\`. - **`smtp_delivery_address`** `string` — SMTP delivery address. It is used when the field \`type\` value is \`global\_relay\`. - **`type`** `string`, possible values: `"global_relay", "smarsh"` — The type of global relay. \* \`global\_relay\` - The participant cannot use chat. \* \`smarsh\` - Host and co-hosts only. - **`user_name`** `string` — User name. It is used when the field \`type\` value is \`global\_relay\`. - **`set_chat_as_default_tab`** `boolean` — Set Team Chat as a default tab for first-time users - **`set_retention_period_in_cloud`** `object` — Set retention period for messages and files in Zoom's cloud. - **`enable`** `boolean` — By default, messages and files are stored in Zoom's cloud. Enable this setting to specify when they are deleted. When retention is disabled, messages sent by offline users can be received within 7 days before they are deleted. - **`retention_period_of_channels`** `string` — Delete data in channels after retention period. 'y' - year, 'm' - month, 'd' - day - **`retention_period_of_direct_messages_and_group_conversation`** `string` — Delete direct messages and group conversations after retention period. 'y' - year, 'm' - month, 'd' - day - **`set_retention_period_in_local`** `object` — Store messages on local devices, excluding personal channel messages. - **`enable`** `boolean` — Specify how long your messages are saved on local devices. If this setting is disabled, messages are never deleted locally. - **`retention_period_of_channels`** `string` — Delete data in channels after retention period. 'y' - year, 'm' - month, 'd' - day - **`retention_period_of_direct_messages_and_group_conversation`** `string` — Delete direct messages and group conversations after retention period. 'y' - year, 'm' - month, 'd' - day - **`share_files`** `object` — Users can share and view files in chats and channels. - **`enable`** `boolean` — Allow users to view, share, and forward files in chats and channels. When disabled, users can still take, share, and forward screenshots; record and forward voice and video messages; send and forward GIF images; and send and forward code snippets if those specific settings are enabled. - **`restrictions`** `object` — User restrictions for sharing and viewing files in chats and channels. - **`file_restrictions_apply_to`** `string`, possible values: `"sharing_and_viewing", "sharing"` — Apply restrictions to both sharing and viewing, or only apply to sharing - **`file_size_restrictions`** `integer`, possible values: `50, 100, 200, 300, 400, 500` — Maximum file size. - **`file_size_restrictions_for_external`** `integer`, possible values: `50, 100, 200, 300, 400, 500` — Maximum file size for external users. - **`file_type_restrictions`** `array` — Specified file type. **Items:** `string`, possible values: `".gz", ".rar", ".zip", ".xls", ".xlsx", ".json", ".png", ".pptx", ".ppt", ".7
[...]
